SoScale(3IV)

NAME
SoScale — node representing a 3D geometric scaling

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoScale

SYNOPSIS
#include <Inventor/nodes/SoScale.h>

Fields from class SoScale:

SoSFVec3f
scaleFactor

Methods from class SoScale:

SoScale()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a 3D scaling about the origin. If the components of the scaling vector are not all the same, this produces a non-uniform scale.

FIELDS
SoSFVec3f
scaleFactor
The scaling factors in the x, y, and z dimensions. Non-positive values may cause undesirable results.

METHODS

SoScale()
Creates a scale node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Accumulates scaling transformation into the current transformation.

SoGetMatrixAction
Returns the matrix corresponding to the scaling.

FILE FORMAT/DEFAULTS
Scale {
scaleFactor	1 1 1
}

SEE ALSO
SoTransform, SoUnits